Bug 1647191 - [abrt] gns3-server: module(): compute.py:54:<module>:AttributeError: module 'aiohttp' has no attribute 'Timeout'
Summary: [abrt] gns3-server: module(): compute.py:54:<module>:AttributeError: module '...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gns3-server
Version: 29
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Othman Madjoudj
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:92d94e7c58f67cff9c5b780206f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-06 20:32 UTC by ali.sherif10
Modified: 2018-12-16 04:21 UTC (History)
2 users (show)

Fixed In Version: gns3-server-2.1.11-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-16 04:21:54 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (9.26 KB, text/plain)
2018-11-06 20:32 UTC, ali.sherif10
no flags Details
File: cgroup (346 bytes, text/plain)
2018-11-06 20:32 UTC, ali.sherif10
no flags Details
File: cpuinfo (1.20 KB, text/plain)
2018-11-06 20:32 UTC, ali.sherif10
no flags Details
File: environ (4.00 KB, text/plain)
2018-11-06 20:32 UTC, ali.sherif10
no flags Details
File: mountinfo (3.46 KB, text/plain)
2018-11-06 20:32 UTC, ali.sherif10
no flags Details
File: namespaces (129 bytes, text/plain)
2018-11-06 20:32 UTC, ali.sherif10
no flags Details
File: open_fds (235 bytes, text/plain)
2018-11-06 20:32 UTC, ali.sherif10
no flags Details

Description ali.sherif10 2018-11-06 20:32:35 UTC
Description of problem:
gns3 didn't require gns3-server. Kmail can't send e-mail. It seems Fedora 29 KDE packages are incomplete or have incomplete dependencies. I started gns3 then got this log:
=> Local server process has stopped
Traceback (most recent call last):
  File "/usr/bin/gns3server", line 11, in <module>
    load_entry_point('gns3-server==2.1.8', 'console_scripts', 'gns3server')()
  File "/usr/lib/python3.7/site-packages/gns3server/main.py", line 81, in main
    from gns3server.run import run
  File "/usr/lib/python3.7/site-packages/gns3server/run.py", line 31, in <module>
    from gns3server.web.web_server import WebServer
  File "/usr/lib/python3.7/site-packages/gns3server/web/web_server.py", line 32, in <module>
    from .route import Route
  File "/usr/lib/python3.7/site-packages/gns3server/web/route.py", line 31, in <module>
    from ..controller.controller_error import ControllerError
  File "/usr/lib/python3.7/site-packages/gns3server/controller/__init__.py", line 27, in <module>
    from .project import Project
  File "/usr/lib/python3.7/site-packages/gns3server/controller/project.py", line 29, in <module>
    from .node import Node
  File "/usr/lib/python3.7/site-packages/gns3server/controller/node.py", line 25, in <module>
    from .compute import ComputeConflict, ComputeError
  File "/usr/lib/python3.7/site-packages/gns3server/controller/compute.py", line 54, in <module>
    class Timeout(aiohttp.Timeout):
AttributeError: module 'aiohttp' has no attribute 'Timeout'

WaitForConnectionWorker thread stopping with an error: Could not connect to 127.0.0.1 on port 3080: [Errno 111] Connection refused
Could not connect to 127.0.0.1 on port 3080: [Errno 111] Connection refused
Local server process has stopped
Traceback (most recent call last):
  File "/usr/bin/gns3server", line 11, in <module>
    load_entry_point('gns3-server==2.1.8', 'console_scripts', 'gns3server')()
  File "/usr/lib/python3.7/site-packages/gns3server/main.py", line 81, in main
    from gns3server.run import run
  File "/usr/lib/python3.7/site-packages/gns3server/run.py", line 31, in <module>
    from gns3server.web.web_server import WebServer
  File "/usr/lib/python3.7/site-packages/gns3server/web/web_server.py", line 32, in <module>
    from .route import Route
  File "/usr/lib/python3.7/site-packages/gns3server/web/route.py", line 31, in <module>
    from ..controller.controller_error import ControllerError
  File "/usr/lib/python3.7/site-packages/gns3server/controller/__init__.py", line 27, in <module>
    from .project import Project
  File "/usr/lib/python3.7/site-packages/gns3server/controller/project.py", line 29, in <module>
    from .node import Node
  File "/usr/lib/python3.7/site-packages/gns3server/controller/node.py", line 25, in <module>
    from .compute import ComputeConflict, ComputeError
  File "/usr/lib/python3.7/site-packages/gns3server/controller/compute.py", line 54, in <module>
    class Timeout(aiohttp.Timeout):
AttributeError: module 'aiohttp' has no attribute 'Timeout'

WaitForConnectionWorker thread stopping with an error: Could not connect to 127.0.0.1 on port 3080: [Errno 111] Connection refused
Could not connect to 127.0.0.1 on port 3080: [Errno 111] Connection refused

Version-Release number of selected component:
gns3-server-2.1.8-2.fc29

Additional info:
reporter:       libreport-2.9.6
cmdline:        /usr/bin/python3 /usr/bin/gns3server --local --log=/home/sherif/.config/GNS3/gns3_server.log --pid=/home/sherif/.config/GNS3/gns3_server.pid
crash_function: module
exception_type: AttributeError
executable:     /usr/bin/gns3server
interpreter:    python3-3.7.1-1.fc29.x86_64
kernel:         4.18.16-300.fc29.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
#1 [/usr/lib/python3.7/site-packages/gns3server/controller/compute.py:54] <module>
#2 [/usr/lib/python3.7/site-packages/gns3server/controller/node.py:25] <module>
#3 [/usr/lib/python3.7/site-packages/gns3server/controller/project.py:29] <module>
#4 [/usr/lib/python3.7/site-packages/gns3server/controller/__init__.py:27] <module>
#5 [/usr/lib/python3.7/site-packages/gns3server/web/route.py:31] <module>
#6 [/usr/lib/python3.7/site-packages/gns3server/web/web_server.py:32] <module>
#7 [/usr/lib/python3.7/site-packages/gns3server/run.py:31] <module>
#8 [/usr/lib/python3.7/site-packages/gns3server/main.py:81] main
#9 [/usr/bin/gns3server:11] <module>

Potential duplicate: bug 1564651

Comment 1 ali.sherif10 2018-11-06 20:32:40 UTC
Created attachment 1502688 [details]
File: backtrace

Comment 2 ali.sherif10 2018-11-06 20:32:41 UTC
Created attachment 1502689 [details]
File: cgroup

Comment 3 ali.sherif10 2018-11-06 20:32:42 UTC
Created attachment 1502690 [details]
File: cpuinfo

Comment 4 ali.sherif10 2018-11-06 20:32:44 UTC
Created attachment 1502691 [details]
File: environ

Comment 5 ali.sherif10 2018-11-06 20:32:46 UTC
Created attachment 1502692 [details]
File: mountinfo

Comment 6 ali.sherif10 2018-11-06 20:32:47 UTC
Created attachment 1502693 [details]
File: namespaces

Comment 7 ali.sherif10 2018-11-06 20:32:49 UTC
Created attachment 1502694 [details]
File: open_fds

Comment 8 ali.sherif10 2018-11-08 10:30:49 UTC
Similar problem has been detected:

GNS3 server is either missing dependencies or being blocked by the firewall.

reporter:       libreport-2.9.6
cmdline:        /usr/bin/python3 /usr/bin/gns3server --local --log=/home/sherif/.config/GNS3/gns3_server.log --pid=/home/sherif/.config/GNS3/gns3_server.pid
crash_function: module
exception_type: AttributeError
executable:     /usr/bin/gns3server
interpreter:    python3-3.7.1-1.fc29.x86_64
kernel:         4.18.16-300.fc29.x86_64
package:        gns3-server-2.1.8-2.fc29
reason:         compute.py:54:<module>:AttributeError: module 'aiohttp' has no attribute 'Timeout'
runlevel:       N 5
type:           Python3
uid:            1002

Comment 9 ali.sherif10 2018-11-12 13:45:09 UTC
Similar problem has been detected:

gns3-server doesn't start in Fedora 29 KDE spin. It work in Fedora 28 with Gnome.
I choose the server, after stopping firewalld, but the crash still happened. It means gns3-server wasn't blocked by firewall.

reporter:       libreport-2.9.6
cmdline:        /usr/bin/python3 /usr/bin/gns3server --local --log=/home/sherif/.config/GNS3/gns3_server.log --pid=/home/sherif/.config/GNS3/gns3_server.pid
crash_function: module
exception_type: AttributeError
executable:     /usr/bin/gns3server
interpreter:    python3-3.7.1-2.fc29.x86_64
kernel:         4.18.17-300.fc29.x86_64
package:        gns3-server-2.1.8-2.fc29
reason:         compute.py:54:<module>:AttributeError: module 'aiohttp' has no attribute 'Timeout'
runlevel:       N 5
type:           Python3
uid:            1002

Comment 10 ali.sherif10 2018-11-12 13:49:59 UTC
How to change severity to "urgent"?
I think this bug needs the highest possible severity. It's completely unusable.

Comment 11 Gleb Yeliseev 2018-11-14 22:20:39 UTC
Confirm this bug. Please, fix it! GNS3 doesn't work at all! ТТ

reporter:       libreport-2.9.6
cmdline:        /usr/bin/python3 /usr/bin/gns3server --local --log=/home/sherif/.config/GNS3/gns3_server.log --pid=/home/sherif/.config/GNS3/gns3_server.pid
crash_function: module
exception_type: AttributeError
executable:     /usr/bin/gns3server
interpreter:    python3-3.7.1-1.fc29.x86_64
kernel:         4.18.16-300.fc29.x86_64
package:        gns3-server-2.1.8-2.fc29
reason:         compute.py:54:<module>:AttributeError: module 'aiohttp' has no attribute 'Timeout'
runlevel:       N 5
type:           Python3
uid:            1002

Comment 12 Fedora Update System 2018-11-17 23:08:04 UTC
gns3-server-2.1.11-1.fc29 gns3-gui-2.1.11-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-741e6545b4

Comment 13 Othman Madjoudj 2018-11-17 23:10:57 UTC
New aiohttp in f29 broke gns3 as it's not compatible yet.

gns3-server-2.1.11-1.fc29 gns3-gui-2.1.11-2.fc29 update should fix the issue (with a dirty workaround)

Comment 14 Fedora Update System 2018-11-18 05:22:10 UTC
gns3-gui-2.1.11-2.fc29, gns3-server-2.1.11-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-741e6545b4

Comment 15 Fedora Update System 2018-12-16 04:21:54 UTC
gns3-gui-2.1.11-2.fc29, gns3-server-2.1.11-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.